#include "callbacksimple.h"

CallbackSimple::CallbackSimple(Init&& init, Metadata&& metadata) :
    _run(std::move(init.run)),
    _is_enabled(std::move(init.is_enabled)),
    _metadata(std::move(metadata))
{}

bool CallbackSimple::isEnabled() const
{
    return _is_enabled();
}

void CallbackSimple::run() const
{
    _run();
}

auto CallbackSimple::getMetadata() const -> EditorCallback::Metadata
{
    return _metadata;
}
